Skip to main content
GET
/
api
/
maritime
/
v1
/
get-vessel-snapshot
GetVesselSnapshot
curl --request GET \
  --url https://api.example.com/api/maritime/v1/get-vessel-snapshot
{
  "snapshot": {
    "snapshotAt": 123,
    "densityZones": [
      {
        "id": "<string>",
        "name": "<string>",
        "location": {
          "latitude": 0,
          "longitude": 0
        },
        "intensity": 50,
        "deltaPct": 123,
        "shipsPerDay": 123,
        "note": "<string>"
      }
    ],
    "disruptions": [
      {
        "id": "<string>",
        "name": "<string>",
        "type": "AIS_DISRUPTION_TYPE_UNSPECIFIED",
        "location": {
          "latitude": 0,
          "longitude": 0
        },
        "severity": "AIS_DISRUPTION_SEVERITY_UNSPECIFIED",
        "changePct": 123,
        "windowHours": 123,
        "darkShips": 123,
        "vesselCount": 123,
        "region": "<string>",
        "description": "<string>"
      }
    ]
  }
}

Query Parameters

ne_lat
number<double>

North-east corner latitude of bounding box.

ne_lon
number<double>

North-east corner longitude of bounding box.

sw_lat
number<double>

South-west corner latitude of bounding box.

sw_lon
number<double>

South-west corner longitude of bounding box.

Response

Successful response

GetVesselSnapshotResponse contains the vessel traffic snapshot.

snapshot
object

VesselSnapshot represents a point-in-time view of civilian AIS vessel data.